#ifndef _TARTRIPSPARA_H_
#define _TARTRIPSPARA_H_

#include <TMatrixD.h>

class TArtRIPSPara : public TNamed {
  
 public:
  TArtRIPSPara();
  TArtRIPSPara(Int_t i, Int_t f, Int_t b, char *mfile, Double_t r);
  ~TArtRIPSPara();

  Int_t GetID() const { return id; }
  Int_t GetForwardFpl() const { return forward_fpl; }
  Int_t GetBackwardFpl() const { return backward_fpl; }
  Double_t GetBrho() const { return brho; }
  TMatrixD * GetMatrix() { return &matrix; }

 private:
  Int_t     id;
  Int_t     forward_fpl;
  Int_t     backward_fpl;
  Double_t  brho;
  TMatrixD  matrix;

  ClassDef(TArtRIPSPara,1);

};

#endif
